package ru.yandex.autodoc.common.doc.types;

/**
 * @author avhaliullin
 */
public class CollectionType extends ValueType {
    private final ValueType elementType;

    public CollectionType(ValueType elementType) {
        super("array of " + elementType.getName(), STRING);
        this.elementType = elementType;
    }

    public ValueType getElementType() {
        return elementType;
    }
}
